Due to a recent update on Javascript code a full page refresh on your browser might be needed.

Bug 1115159

Summary: hamster-time-tracker needs pyxdg as dependency
Product: [Fedora] Fedora Reporter: Chad Feller <cfeller>
Component: hamster-time-trackerAssignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: fschwarz, lnie, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: hamster-time-tracker-1.04-3.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-25 10:05:25 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chad Feller 2014-07-01 18:08:48 UTC
Description of problem:
hamster-time-tracker should pull in pyxdg as a dependency.  

On my KDE based desktop, pyxdg wasn't already on the system (don't know if it already installed by default if Gnome is used as a desktop).

Upon installing hamster-time-tracker, launching it yields this:


$ hamster
Traceback (most recent call last):
  File "/usr/bin/hamster", line 30, in <module>
    from hamster import client, reports
  File "/usr/lib/python2.7/site-packages/hamster/reports.py", line 31, in <module>
    from configuration import runtime
  File "/usr/lib/python2.7/site-packages/hamster/configuration.py", line 28, in <module>
    from xdg.BaseDirectory import xdg_data_home
ImportError: No module named xdg.BaseDirectory


Installing pyxdg fixed the problem and hamster launches fine afterwards.


Version-Release number of selected component (if applicable):
hamster-time-tracker-1.04-1.fc20.noarch
pyxdg-0.25-2.fc20.noarch

Comment 1 Ankur Sinha (FranciscoD) 2014-07-15 12:28:13 UTC
Hi Chad,

Thank you for your bug report. I'll add the requires to the spec ASAP.

Warm regards,
Ankur

Comment 2 Fedora Update System 2014-07-15 12:47:57 UTC
hamster-time-tracker-1.04-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.04-3.fc20

Comment 3 Fedora Update System 2014-07-15 13:14:02 UTC
hamster-time-tracker-1.04-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.04-3.fc19

Comment 4 lnie 2014-07-16 07:31:11 UTC
Tested with hamster-time-tracker-1.04-3.fc20 ,Requires for pyxdg is added

Comment 5 Fedora Update System 2014-07-17 04:27:32 UTC
Package hamster-time-tracker-1.04-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hamster-time-tracker-1.04-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8375/hamster-time-tracker-1.04-3.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-07-25 10:05:25 UTC
hamster-time-tracker-1.04-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-07-25 10:06:12 UTC
hamster-time-tracker-1.04-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.